Sisimai::SMTP::Reply(3pm)

NAME
Sisimai::SMTP::Reply - SMTP reply code related class

SYNOPSIS
    use Sisimai::SMTP::Reply;
    print Sisimai::SMTP::Reply->find('550 5.1.1 Unknown user');  # 550

DESCRIPTION
Sisimai::SMTP::Reply is utilities for getting SMTP reply code value from given error message text.

CLASS METHODS

  "find(String)"
"find()" returns an SMTP reply code value.

    print Sisimai::SMTP::Reply->find('5.0.0');                  # ''
    print Sisimai::SMTP::Reply->find('550 5.1.1 User unknown'); # 550
    print Sisimai::SMTP::Reply->find('421 Delivery Expired');   # 421

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2016,2018,2020 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.